Table of Contents

“auditTemplateLine” Resource Type

Represents an audit template line as part of Vendor Rating Management in Business Central.

Note

For information about enabling APIs for Business Central, please refer to Enabling APIs for Dynamics 365 Business Central.

Methods

Method Return Type Description
GET auditTemplateLine auditTemplateLine Gets an auditTemplateLine object.
Navigation Return Type Description
auditTemplate auditTemplate Gets the audit template associated with the current line.

Properties

Property Type Description
id Guid The unique ID of the audit template line. Non-editable.
templateNo String Specifies the unique number of the associated audit template.
lineNo Int Specifies the line number of the current audit template line.
questionCode String Specifies the number of the associated audit question.
description String Specifies the description of the audit question.
handlingInstructions String Specifies the instructions associated with the current audit template line.

JSON Representation

The following code shows a JSON representation of the auditTemplateLine resource.

{
    "id": "GUID",
    "templateNo": "string",
    "lineNo": "integer",
    "questionCode": "string",
    "description": "decimal",
    "handlingInstructions": "decimal"
}

HTTP Requests

Get auditTemplateLines

Retrieves the properties and relationships of an auditTemplateLine object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on your environment, following the guideline.

GET businesscentralPrefix/kumavision/kvsvrm/v1.0/companies({id})/auditTemplateLines({id})

Request Headers

Header Value
Authorization Bearer {token}. Required.

Request Body

For this method, no request body is required.

Response

If successful, this method returns the 200 OK response code and an auditTemplateLine object in the response body.

Example

Request

The following code shows an example of the request.

GET https://{businesscentralPrefix}/api/kumavision/kvsvrm/v1.0/companies({id})/auditTemplateLines({id})

Response The following code shows an example of the response.

{
    "@odata.context": "https://{businesscentralPrefix}/api/kumavision/kvsvrm/v1.0/companies({id})/auditTemplateLines",
    "value": [
        {
            "@odata.etag": "W/\"JzIwOzEzODg4NTM1OTI2ODYyOTMzMDc5MTswMDsn\"",
            "id": "22f2b37c-589e-ed11-9eae-b5f34a05bcf5",
            "templateNo": "A01",
            "lineNo": 10000,
            "questionCode": "AS",
            "description": "Is occupational health and safety observed?",
            "handlingInstructions": ""
        },
        {
            "@odata.etag": "W/\"JzIwOzEzODcwMTY2NzYxODA5NTgyNjQ5MTswMDsn\"",
            "id": "23f2b37c-589e-ed11-9eae-b5f34a05bcf5",
            "templateNo": "A01",
            "lineNo": 20000,
            "questionCode": "DS",
            "description": "Are the privacy policies followed?",
            "handlingInstructions": ""
        },
        {
            "@odata.etag": "W/\"JzIwOzEzNzc4MzIxOTE2MjMyNDcwODE1MTswMDsn\"",
            "id": "24f2b37c-589e-ed11-9eae-b5f34a05bcf5",
            "templateNo": "A01",
            "lineNo": 30000,
            "questionCode": "ISO",
            "description": "Is ISO certification available?",
            "handlingInstructions": ""
        }
    ]
}